﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3052: (1 year) VER VISA /5500A+SC600
DATE:                  2010-07-28 12:00:27
AUTHOR:                Fluke
REVISION:              $Revision: 18562 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       198
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3052
# 
#  Source(s):
#        TDS3000 Series Digital Phosphor Oscilloscopes Service Manual,
#        071-0382-01, supports firmware version 2.0 and above
# 
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Guardbanding & Ver Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000 Ethernet Interface Connection
#        Sub Tek TDS3000 Check Firmware Version
#        Sub Tek TDS3000 Set Bandwidth & Number of Channels
#        Sub Tek TDS3000 Self-Test VISA
#        Sub Tek TDS3000 Signal Path Compensation Cal VISA
#        Sub Tek TDS3000 (1 yr) DCV VISA /5500+S6
#        Sub Tek TDS3000 (1 yr) Bandwidth VISA /5500+S6
#        Sub Tek TDS3000 (1 yr) Trig Sens VISA /5500+S6
#        Sub Tek TDS3000 (1 yr) Sample Rate VISA /5500+S6
#        Sub Tek TDS3000 Select Channel VISA
#        Sub Tek TDS3000 Trigger Check and Level Adjust VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        Tektronix TDS3EM Ethernet Communication Module
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  5500         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  OPBR         -z This procedure need TDS3EM ethernet communication
  1.016  OPBR         module installed on the UUT.
  1.016  OPBR
  1.016  OPBR         Does the UUT installed TDS3EM?

  1.017  IF           NOT(MEM1)
  1.018  DISP         Please install the TDS3EM module first.
  1.019  END
  1.020  ENDIF

  1.021  CALL         Sub Tek TDS3000 Ethernet Interface Connection
  1.022  JMPL         END                              @Abort

  1.023  VISA         *RST

  1.024  HEAD         UUT IDENTIFICATION
  1.025  CALL         Sub IEEE-488.2 Identification Query VISA

  1.026  MATH         @UUT_Manufacturer = "Tektronix"
  1.027  MATH         @UUT_Model        = "TDS 3052"
  1.028  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.029  JMPL         END                           @Abort

  1.030  CALL         Sub Tek TDS3000 Check Firmware Version
  1.031  JMPL         END                           @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS (CH1)
#    6.   BANDWIDTH (CH2)                    SAMPLE RATE
#    7.   TRIGGER SENS (CH1)                 DCV GAIN (CH2)
#    8.   TRIGGER SENS (CH2)                 BANDWIDTH (CH2)
#    9.   SAMPLE RATE                        TRIGGER SENS (CH2)

  1.032  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.033  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.034  JMPL         END                           @Abort

  1.035  CALL         Sub Tek TDS3000 Self-Test VISA
  1.036  JMPL         END                           @Abort

  1.037  DISP         Connect the 5500A Scope Out to UUT CH1.
  1.038  MATH         @Chan = 1
  1.039  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /5500+S6
  1.040  JMPL         BANDWIDTH_CH1

  1.041  LABEL        DCV_CH2
  1.042  DISP         Connect the 5500A Scope Out to UUT CH2.
  1.043  MATH         @Chan = 2
  1.044  CALL         Sub Tek TDS3000 (1 yr) DCV VISA /5500+S6
  1.045  JMPL         BANDWIDTH_CH2

  1.046  LABEL        BANDWIDTH_CH1
  1.047  MATH         @Chan = 1
  1.048  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /5500+S6
  1.049  JMPL         TRIG_CH1

  1.050  LABEL        BANDWIDTH_CH2
  1.051  MATH         @Chan = 2
  1.052  CALL         Sub Tek TDS3000 (1 yr) Bandwidth VISA /5500+S6
  1.053  JMPL         TRIG_CH2

  1.054  LABEL        TRIG_CH1
  1.055  MATH         @Chan = 1
  1.056  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /5500+S6
  1.057  JMPL         SAMPLE_RATE

  1.058  LABEL        TRIG_CH2
  1.059  MATH         @Chan = 2
  1.060  CALL         Sub Tek TDS3000 (1 yr) Trig Sens VISA /5500+S6
  1.061  JMPL         END

  1.062  LABEL        SAMPLE_RATE
  1.063  MATH         @Chan = 1
  1.064  CALL         Sub Tek TDS3000 (1 yr) Sample Rate VISA /5500+S6
  1.065  JMPL         DCV_CH2

  1.066  LABEL        END
  1.067  HEAD         -2

  1.068  IF           @Abort
  1.069  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.070  ELSE
  1.071  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.072  ENDIF

  1.073  END
